Page MenuHomeFreeBSD

Ignore IPv6 NAs and drop IPv6 NSs when BACKUP CARP address is used
ClosedPublic

Authored by ae on Sep 21 2022, 1:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 11, 4:14 PM
Unknown Object (File)
Fri, May 10, 6:44 AM
Unknown Object (File)
Thu, May 9, 8:47 AM
Unknown Object (File)
Thu, May 9, 6:00 AM
Unknown Object (File)
Apr 26 2024, 7:24 AM
Unknown Object (File)
Apr 22 2024, 9:22 AM
Unknown Object (File)
Apr 17 2024, 10:27 PM
Unknown Object (File)
Mar 29 2024, 10:18 AM

Details

Summary

Ignore NAs when they are received for BACKUP CARP address, so ND6 cache will not changed.
Also do not send NS from BACKUP CARP addresses, this won't confuse network switch and it won't complain about MAC addresses flapping.
OpenBSD has similar solution for NAs.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

ae held this revision as a draft.
ae published this revision for review.Sep 21 2022, 1:40 PM
ae edited the summary of this revision. (Show Details)
ae added reviewers: bz, melifaro, glebius, network.
This revision was not accepted when it landed; it landed in state Needs Review.Oct 6 2022, 5:01 PM
This revision was automatically updated to reflect the committed changes.